Name:		projectM-pulseaudio
Version:	2.0.1
Release:	14%{?dist}
Summary:	The projectM visualization plugin for pulseaudio
Group:		Applications/Multimedia
License:	GPLv2+ and MIT
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/%{name}-%{version}-Source.tar.gz
Patch0:		projectM-pulseaudio-stat.patch
Patch1:		remove_pulse_browser_h.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake, pulseaudio-libs-devel, libprojectM-qt-devel, desktop-file-utils

%description	
This package allows the use of the projectM visualization plugin through any
pulseaudio compatible applications.

%prep
%setup -q -n %{name}-%{version}-Source
%patch0 -p1
%patch1 -p0

%build
%cmake .
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc  ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.1-13
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-7
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Jameson Pugh <imntreal@gmail.com> - 2.0.1-6
- Removed reference to pulse/browser.h as it is no longer part of pulseaudio.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 26 2010 Jameson Pugh (imntreal@gmail.com) - 2.0.1-3
-Fix build error due to no including stat.h

* Tue Jan 26 2010 Jameson Pugh (imntreal@gmail.com) - 2.0.1-2
-Rebuild due to SONAME bump in libprojectM

* Sun Dec 13 2009 Jameson Pugh (imntreal@gmail.com) - 2.0.1-1
- New release

* Mon Oct 12 2009 Jameson Pugh (imntreal@gmail.com) - 1.2.0r1300-1
- New SVN version to prepare for v2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-3
- Cleaned up Requires and BuildRequires
- Removed line to delete .la files
- Fixed up the desktop file

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-2
- Fixed SOURCE0
- Added VERBOSE=1 to make line
- Added cmake to BR line

* Wed Sep 3 2008 Jameson Pugh <imntreal@gmail.com> - 1.2.0-1
- Initial public release of the package
